dictionary comprehensions with Python 2.4/2.5

Iryna Feuerstein Iryna.Feuerstein at FernUni-Hagen.de
Tue Aug 7 08:19:00 CEST 2012


Hello,

for the program developed and maintained by our company the 
compatibility with Python 2.5 is desired. I'm developing with Python 
2.7, though I would like to use dictionary comprehensions in my code. 
The dictionary comprehensions were added to Python in version 2.7 at 
first time. Is it possible to make it compatible with Python 2.5 anyway? 
Perhaps by using the __future__ module?


Thank you in advance!

With regards,
Iryna.


More information about the Python-list mailing list